Entities
Get Entity by ID
Retrieve a single entity by its UUID
GET
/
api
/
entities
/
{id}
curl "https://worker.rushed.com.br/api/entities/a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "X-API-Key: rsh_live_xxxxxxxxxxxx"
{
"success": true,
"data": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"entityType": "COMPANY",
"canonicalName": "Petrobras",
"aliases": ["Petroleo Brasileiro S.A.", "PETR"],
"ticker": "PETR4",
"cnpj": "33.000.167/0001-01",
"createdAt": "2024-11-15T10:30:00Z"
}
}
{
"success": false,
"error": "Not found",
"statusCode": 404
}
Headers
string
required
Your Rushed API key
Path Parameters
string
required
Entity UUID
curl "https://worker.rushed.com.br/api/entities/a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "X-API-Key: rsh_live_xxxxxxxxxxxx"
{
"success": true,
"data": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"entityType": "COMPANY",
"canonicalName": "Petrobras",
"aliases": ["Petroleo Brasileiro S.A.", "PETR"],
"ticker": "PETR4",
"cnpj": "33.000.167/0001-01",
"createdAt": "2024-11-15T10:30:00Z"
}
}
{
"success": false,
"error": "Not found",
"statusCode": 404
}
⌘I
curl "https://worker.rushed.com.br/api/entities/a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "X-API-Key: rsh_live_xxxxxxxxxxxx"
{
"success": true,
"data": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"entityType": "COMPANY",
"canonicalName": "Petrobras",
"aliases": ["Petroleo Brasileiro S.A.", "PETR"],
"ticker": "PETR4",
"cnpj": "33.000.167/0001-01",
"createdAt": "2024-11-15T10:30:00Z"
}
}
{
"success": false,
"error": "Not found",
"statusCode": 404
}